#ifndef __PROT_H__
#define __PROT_H__

// boot.c
// Main関数からOSを実行
void Main();

// graphic.c
// グラフィック関連の関数群
void init_palete();
void boxfill(unsigned char, int, int, int, int);
void init_screen(const int, const int);
void vprint(unsigned char *, int, int, char);
void init_mouse_cursor(char *, char);
void putblock(int, int, int, int, char *, int);
//void set_palete(int, int, unsigned char *);
//void putfont(int, int, char, char *);

// dsctbl.c
// GDT,IDT等のデスクリプタテーブル関連
void init_gdtidt();
//void set_segmdesc(struct SEGMENT_DESCRIPTOR *, unsigned int, int, int);
//void set_gatedesc(struct GATE_DESCRIPTOR *, int, int, int);

// lib.c
// 標準ライブラリ的関数群
int lsprintf(char *str, const char *format, ...);
void strcls(char *);
//void int2hex(char *, int);
//void int2dec(char *, int);

// func.s 
// GASで記述された関数
extern inline void	io_hlt();
extern inline void	io_cli();
extern inline void	io_sti();
extern inline void	io_stihlt();
extern inline int	io_in8();
extern inline int	io_in16();
extern inline int	io_in32();
extern inline void	io_out8();
extern inline void	io_out16();
extern inline void	io_out32();
extern inline int	io_load_eflags();
extern inline void	io_store_eflags(int eflags);

#endif // __PROT_H__
